import { LogEvent } from '../logger';
import { EndpointType } from '../shared';
import type Provider from './base';
import GenericConfig from './generic';
export default class VercelConfig extends GenericConfig implements Provider {
    provider: string;
    shouldSendEdgeReport: boolean;
    region: string | undefined;
    environment: string;
    token: undefined;
    axiomUrl: string;
    isEnvVarsSet(): boolean;
    getIngestURL(t: EndpointType): string;
    getWebVitalsEndpoint(): string;
    getLogsEndpoint(): string;
    wrapWebVitalsObject(metrics: any[]): {
        webVitals: any[];
        environment: string;
    };
    injectPlatformMetadata(logEvent: LogEvent, source: string): void;
}
